#include <iostream>
#include <string>
#include <vector>
#include <memory>
#include "triangle.h"

using namespace std;

Tri::Tri()
{
        vertex v1;
        v1.x = 0.0;
        v1.y = 0.0;
        v1.z = 0.0;
        vertex v2;
        v2.x = 0.0;
        v2.y = 0.0;
        v2.z = 0.0;
        vertex v3;
        v3.x = 0.0;
        v3.y = 0.0;
        v3.z = 0.0;
        v.push_back(v1);
        v.push_back(v2);
        v.push_back(v3);
}

Tri::Tri(vertex &one, vertex &two, vertex &three) :
        v.push_back(one),
        v.push_back(two),
        v.push_back(three)
{
}
